// Es4.1
#include<stdio.h>

#define NUM_GIUDICI 3
#define MAX_CODE_LEN 3
#define NUM_ATLETI 2


// Struct che mi rappresenta l'atleta
typedef struct{
	char code[MAX_CODE_LEN];
	int score;
} atleta;

// Vettore di atleti
atleta atleti[NUM_ATLETI];


// Calcola il punteggio sommando i voti dei giudici
// a: puntatore ad un atleta
void calcola_punteggio(atleta* a){
	int i;
	
	// Modifico direttamente il campo della struct 
	// del singolo atleta
	for(i=0; i<NUM_GIUDICI; i++){
		int score;
		printf("Inserisci punteggio giudice %d atleta %s: ", i, a->code);
		scanf("%d", &score);
		a->score += score;
	}
}

	
// Stampa ogni atelta nel formato code:score
// atleti: puntatore a vettore di atleti
void print_atleti(atleta* atleti){
	int i;

	printf("Punteggi finali:\n");

	for(i=0; i<NUM_ATLETI; i++){
		atleta* a = (atleti+i);
		printf("%s", a->code); // Accedo al campo con '->' perchè è un puntatore!
		printf(" : ");
		printf("%d", a->score);
		printf("\n");
	}
}

int main(){
	int i;

	for(i=0; i<NUM_ATLETI; i++){
		printf("Inserisci codice atleta: ");
		// Inserisco il codice dell'atleta
	    scanf("%s", atleti[i].code); // Accedo al campo con '.' perchè è una variabile!
		// Calcolo il punteggio
		calcola_punteggio(&atleti[i]); // Passo l'indirizzo del singolo atleta!
	}
	
	print_atleti(atleti);

	return 0;
}
